Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.enabler.xocp
Interface XOCPEnablerSession

Deprecated. The XOCPEnablerSession interface represents a c-enabler session that uses the XML Open Collaboration Protocol (XOCP).

public interface XOCPEnablerSession
extends EnablerSession

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Inner Class Summary
`static interface` | `XOCPEnablerSession.CreateException` Deprecated. A CreateException is thrown if conversation creation fails.
`static interface` | `XOCPEnablerSession.RegisterException` Deprecated. A RegisterException is thrown if an error occurred during registration.

Inner classes inherited from class com.bea.b2b.enabler.EnablerSession
`EnablerSession.InitException, EnablerSession.ShutDownException`

Method Summary
`Conversation` | `createConversation(ConversationType type, long timeout)` Deprecated. Creates a conversation of the specified conversation type and with the specified timeout.
`Conversation` | `getConversation(java.lang.String conversationId)` Deprecated. Gets the conversation with the specified conversation ID.
`Conversation[]` | `getConversations()` Deprecated. Gets all of the conversations in which this c-enabler session is involved, including both conversations initiated and conversations in which the collaborator participated using this c-enabler session.
`boolean` | `hasConversation(java.lang.String conversationId)` Deprecated. Determines whether the specified conversation exists (true) or not (false).
`boolean` | `hasConversationHandler(ConversationType conversationType)` Deprecated. Determines whether the conversation handler was registered for the specified conversation type (true) or not (false).
`void` | `registerConversationHandler(ConversationType[] types, ConversationHandler handler)` Deprecated. Registers a conversation handler with this c-enabler session.
`ConversationHandler` | `unregisterConversationHandler(ConversationType type)` Deprecated. Unregisters the conversation handler from this c-enabler session.

Methods inherited from interface com.bea.b2b.enabler.EnablerSession
`getCSpace, getEnablerUrl, getHubUrl, getName, getTradingPartner, shutDown`

Method Detail

### createConversation

    public Conversation createConversation(ConversationType type,
                                           long timeout)
                                    throws XOCPEnablerSession.CreateException

  Deprecated.
  Creates a conversation of the specified conversation type and with the specified timeout.

  Parameters:
    `type` - Conversation type.
    `timeout` - Conversation timeout, in seconds. This value overrides the default value defined with the conversation definition in the repository. Specify zero (0) to use the value defined in the repository, or to use no timeout if 0 is also set in the repository.
  Returns:
    Conversation - Conversation instance.
  Throws:
    CreateConversation - If conversation creation fails.

### getConversation

    public Conversation getConversation(java.lang.String conversationId)

  Deprecated.
  Gets the conversation with the specified conversation ID.

  Parameters:
    `conversationId` - Conversation ID of the conversation to access.
  Returns:
    Conversation - Conversation.

### getConversations

    public Conversation[] getConversations()

  Deprecated.
  Gets all of the conversations in which this c-enabler session is involved, including both conversations initiated and conversations in which the collaborator participated using this c-enabler session.

  Returns:
    Conversation[] - Conversations.

### hasConversation

    public boolean hasConversation(java.lang.String conversationId)

  Deprecated.
  Determines whether the specified conversation exists (true) or not (false).

  Parameters:
    `conversationId` - Conversation ID to check.
  Returns:
    boolean - true if the specified conversation exists, or false if not.

### hasConversationHandler

    public boolean hasConversationHandler(ConversationType conversationType)

  Deprecated.
  Determines whether the conversation handler was registered for the specified conversation type (true) or not (false).

  Parameters:
    `conversationType` - Conversation type.
  Returns:
    boolean - true if registered for the specified conversation type, or false if not.

### registerConversationHandler

    public void registerConversationHandler(ConversationType[] types,
                                            ConversationHandler handler)
                                     throws XOCPEnablerSession.RegisterException

  Deprecated.
  Registers a conversation handler with this c-enabler session. This method also validates conversation definitions (types) in the c-space. The collaborator is registered in the c-space for the specified conversation definition(s).

  Parameters:
    `types` - Types of conversations for which this factory can create handlers.
    `handler` - Conversation handler.
  Throws:
    XOCPEnablerSession.RegisterException - If an error occurred during registration.

### unregisterConversationHandler

    public ConversationHandler unregisterConversationHandler(ConversationType type)
                                                      throws XOCPEnablerSession.RegisterException

  Deprecated.
  Unregisters the conversation handler from this c-enabler session. The collaborator is unregistered from the c-space for the specified conversation definition (type).

  Parameters:
    `type` - Conversation type.
  Returns:
    ConversationHandler removed convseration handler
  Throws:
    XOCPEnablerSession.RegisterException - If an error occurred during unregistration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)